Bug 1896732 - "Attach to Virtual Machine OS" button should not be visible on old clusters
Summary: "Attach to Virtual Machine OS" button should not be visible on old clusters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Yaacov Zamir
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks: 1897019
TreeView+ depends on / blocked
 
Reported: 2020-11-11 12:07 UTC by Ruth Netser
Modified: 2021-02-24 15:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:32:36 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (43.58 KB, image/png)
2020-11-11 12:07 UTC, Ruth Netser
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7183 0 None closed Bug 1896732: disable os upload if no os avaliable 2021-01-08 09:46:02 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:33:22 UTC

Description Ruth Netser 2020-11-11 12:07:49 UTC
Created attachment 1728303 [details]
Screenshot

Description of problem:
OCP 4.6 with CNV 2.4 - golden images is not supported in CNV templates but th eoption to attach a PVC to a template is available in the UI.

Version-Release number of selected component (if applicable):
OCP 4.6 with CNV 2.4

How reproducible:
100%

Steps to Reproduce:
1. Storage -> Persistent Volume Claims
2. Create Persistent Volume Claim (with data upload form)

Actual results:
"Attach this data to a Virtual Machine operating system" checkbox is enabled, though the templates do not have the required information for this feature.

Expected results:
Checkbox should not be displayed.

Additional info:
See attached screenshot.

Comment 1 Yaacov Zamir 2020-11-11 12:43:08 UTC
Matt and Ruth hi,
Is it OK to disable the check box (and add a hint why it's disabled) instead of hiding it ?

Note i:
setting severity to medium because this issue does not disrupts customer operations (high severity: "...customer's operation is disrupted,...")

Note ii:
If we can't find any operating system that have a DV parameter, we should disable/hide the check box

Comment 2 Ruth Netser 2020-11-11 13:04:53 UTC
I'm OK with both (hiding/disabling); however, if you decide to disable the checkbox, there should be a clear explanation as to why the checkbox is disabled.

Comment 4 Matt 2020-11-12 18:42:03 UTC
sorry I'm not following why we wouldn't just hide it if it's not possible at all?

Comment 5 Yaacov Zamir 2020-11-15 07:10:09 UTC
> why we wouldn't just hide it if it's not possible at all?

Matt, yes, the after discussion we desided to hide it. 

p.s.
The reason behind disabling, instead of hiding, was that upstream users (not using a released version) may have the option to install (or not install) templates with data volume support.
Disabling the checkbox may inform users that they have to option to use templates with data volumes if they install a new version of the templates.

Comment 6 Guohua Ouyang 2020-11-23 03:38:22 UTC
verified on master ui, the checkbox is hiding when the cnv version is 2.4.

Comment 9 errata-xmlrpc 2021-02-24 15:32:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.